toolkit.print( "Begin -------------------------------------------------------" );
toolkit.print( "------ Printing resource selection(s) ------" );
for( i=0; i<selection.length; ++i )
{
  toolkit.print( selection[i] );
}
toolkit.print( "------ Prompting for workspace container ------" );
var container = toolkit.promptForWorkspaceContainer( workspace.getRoot(), "Excalibur" );
toolkit.print( container );

toolkit.print( "------ Prompting for workspace files ------" );
files = toolkit.promptForWorkspaceFiles( container, "File Selection" );
for( i=0; i<files.length; ++i )
{
  toolkit.print( files[i] );
}

toolkit.print( "------ Prompting for system folder ------" );
folder = toolkit.promptForSystemFolder();
toolkit.print( folder );

toolkit.print( "------ Prompting for system file ------" );
file = toolkit.promptForSystemFile( true );
toolkit.print( file );

toolkit.print( "------ Prompting for Ok ------" );
toolkit.promptForOk( "This is my title", "This is my error message", "error" );

toolkit.print( "------ Prompting for Ok Cancel ------" );
var bOk = toolkit.promptForOkCancel( "This is my title", "This is my message" );
if( bOk == 0 )
{
  toolkit.print( "Cancel pressed" );
}
else
{
  toolkit.print( "Ok pressed" );
}

toolkit.print( "------ Calling plugin.getStateLocation().toString() ------" );
toolkit.print( plugin.getStateLocation().toString() );

toolkit.print( "------ Listing all extension points ------" );
registry = platform.getPluginRegistry();
extensionPoints = registry.getExtensionPoints();
for( i=0; i<extensionPoints.length; ++i )
{
  label = extensionPoints[i].getLabel();
  toolkit.print( label );
}


toolkit.print( "------ Creating project ------" );

projectOpen   = toolkit.getOpenProject();

if( projectOpen != null )
{
  projectOpen.close( null );
}
projectScript = toolkit.createProject( "ScriptProject" );
projectScript.open( null );
folderScript  = toolkit.createFolder( projectScript, "ScriptFolder" );
fileScript    = toolkit.createFile( folderScript, "Script.file" );
projectScript.close( null );
if( projectOpen != null )
{
  projectOpen.open( null );
}

toolkit.print( "------ Listing projects, folders, files ------" );

projects = toolkit.getProjects();

if( projects != null )
{
  for( i=0; i<projects.length; ++i )
  {
    toolkit.print( projects[i].getFullPath() );

    folders = toolkit.getFolders( projects[i] );

    if( folders != null )
    {
      for( j=0; j<folders.length; ++j )
      {
        toolkit.print( folders[j].getFullPath() );

        files = toolkit.getFiles( folders[j] );

        if( files != null )
        {
          for( k=0; k<files.length; ++k )
          {
            if( files[k] != null )
            {
              toolkit.print( files[k].getFullPath() );
            }
          }
        }
      }
    }
  }
}

toolkit.print( "------ Opening script project ------" );

projectOpen = toolkit.getOpenProject();
if( projectOpen != null )
{
  projectOpen.close( null );
}

projectScript = workspace.getRoot().getProject( "ScriptProject" );
toolkit.print( projectScript.getFullPath() );
projectScript.close( null );

if( projectOpen != null )
{
  projectOpen.open( null );
}
toolkit.print( "End ---------------------------------------------------------" );
