package org.eclipse.scripting.examples;

/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */

/**
 * This is an example of a scriptable plugin extension adapter.
 * This creates a workbench new wizard that is supplied a class 
 * to handle user interface events.  This class subclasses one
 * of the supplied scripting adapters.
 */
import org.eclipse.core.runtime.*;
import org.eclipse.scripting.ScriptAdapterWorkbenchNewWizard;

public class ExcaliburWorkbenchNewWizardAdapter extends ScriptAdapterWorkbenchNewWizard implements IExecutableExtension {
/**
 * Contructs an instance of ExcaliburWorkbenchNewWizardAdapter.  The super class' constructor is called.
 */
public ExcaliburWorkbenchNewWizardAdapter() {

	// Must call the superclass
	//-------------------------
	super();
}
/**
 * Gives the super class the parameters.  The superclass will parse
 * the parameters given in the plugin extension definition.
 * A handler to handle user interface events is created and given
 * to the superclass to use.
 */
public void setInitializationData( IConfigurationElement configElement,
								   String                strName,
								   Object                objData )
{
	// Have the superclass parse the extension's parameters
	//-----------------------------------------------------
	super.setInitializationData( configElement, strName, objData );

	// Create an event handler to handle user interface events
	//--------------------------------------------------------
	super.setScriptAdapterEventHandler( new ExcaliburWorkbenchNewWizardAdapterScriptEventHandler() );
}
}
